# borg_velocity

To install in a fresh environment on infinity, follow these instructions:

```
module purge
module restore myborg
module load cuda/12.3
conda create -n borg_new
conda activate borg_new
conda config --add channels conda-forge
conda install c-compiler
conda install zlib
conda install python=3 healpy h5py numexpr numba deprecated
conda install gcc_linux-64 gxx_linux-64 mpi4py
pip install -U "jax[cuda12]=0.4.31”
pip install blackjax

cd /home/bartlett/borg
bash build.sh --c-compiler $(which x86_64-conda_cos6-linux-gnu-gcc) --cxx-compiler $(which x86_64-conda_cos6-linux-gnu-g++) --python=$(which python3) —-install-system-python --hades-python --use-system-hdf5 --build-dir /data101/bartlett/build_borg/
cd /data101/bartlett/build_borg/
make -j 32
make python-install

cd /home/bartlett/fsigma8/borg_velocity
pip3 install -e .
```